<?php

$ses = new SessionHelper();
$id_user = $ses->getSession('loginId');

$twt = new TweetModel();
$fase = (isset($_GET['fase'])) ? (int) $_GET['fase'] : FASE_COMPARTILHADA_ID;
if($fase == FASE_COMPARTILHADA_ID)
	$id_anotador_get = ID_USER_FASE_1; //superanotador = todos podem anotar!
else
	$id_anotador_get = $id_user;


$pag = (isset($_GET['pag'])) ? (int) $_GET['pag'] : 1;
$pag = max(1, $pag);
$nb_tweets = count($twt->listaDados("id", "fase=:fase AND id_anotador=:id_anotador", 
									array(':fase'=>$fase, ':id_anotador'=>$id_anotador_get)));
$nb_pags = ceil($nb_tweets / MAX_NB_TWEETS);
$prev_pag = max(1, $pag-1);
$next_pag = min($nb_pags, $pag+1);
$inicio = ($pag * MAX_NB_TWEETS) - MAX_NB_TWEETS;


$where = "fase=:fase AND id_anotador=:id_anotador AND id_user=:id_user";
$data = array(":fase"=>$fase, ':id_anotador'=>$id_anotador_get, ':id_user'=>$id_user);
$res_aux = $twt->listaAnnTweets($where, $data);

$campos = "id,text,score,fase";
$where = "fase=:fase AND id_anotador=:id_anotador";
$data = array(":fase"=>$fase, ':id_anotador'=>$id_anotador_get);
$orderby = "id";
$offset = null;
$limit = "$inicio,".MAX_NB_TWEETS;
$res = $twt->listaDados($campos, $where, $data, $orderby, $offset, $limit);


?>


 <body>
	<div class="container">

	  <div class="col-xs-12 col-sm-9">

		<?php
		$cls_ok = array("quadro-importante-ok");

		foreach ($res as $key => $tweet) {
			$jumb_class = "";
			$tweet_id = $tweet['id'];
			$text = $tweet['text'];

			$ann_score = (array_key_exists($tweet_id, $get_ann)) ? $get_ann[$tweet_id]['ann_score'] : null;
			if($ann_score != null)
				$jumb_class = "quadro-importante-ok";

		?>
			<div class="jumbotron <?php echo $jumb_class; ?>">
				<div>
					
					<h2 class="pull-left tempo"><span class="label label-default">1T | 18'</span></h2>
					<h2 class="pull-left titulo-jogo"><strong>Vitória x Botafogo</strong></h2>
					
					<a class="pull-right" target="_blank" href="https://globoesporte.globo.com/ba/futebol/brasileirao-serie-a/jogo/23-09-2018/vitoria-botafogo.ghtml">
						<h6><span class="glyphicon glyphicon-link" aria-hidden="true"></span> Ver no GE</h6>
					</a>


					<div class="clearfix"></div>
				</div>

				<div class="linha"></div>

				<div>
					<?php echo utf8_encode($text); ?>
				</div>

				<br>

				<div class="botoes">
					<button type="button" class="btn btn-success" tweet-id="<?php echo $tweet_id; ?>">É importante</button>
				</div>

			</div>
		<?php
		}

		if(count($res) == 0)
			echo "Nenhum tweet a ser anotado nessa fase.";
		?>

			<nav aria-label="..." id="pagination">
			  <ul class="pager">
				<?php if($prev_pag < $pag){ ?>
				<li id="previous-btn" class="previous">
					<a> <span aria-hidden="true">&larr;</span> Voltar </a>
				</li>
				<?php 
				}
				?>
				<li>Pág. <?php echo "$pag de $nb_pags"; ?></li>
				<?php if($next_pag > $pag){ ?>
				<li id="next-btn" class="next">
					<a> Continuar <span aria-hidden="true">&rarr;</span> </a>
				</li>
				<?php
				}
				?>
			  </ul>
			</nav>

		</div><!--/.col-xs-12.col-sm-9-->

	   
		<div class="col-xs-6 col-sm-3" id="sidebar">
		  <div class="list-group">
			<div>
			<?php include("dicas.php"); ?>
			</div>
		  </div>
		</div>

	</div> <!-- /container -->


	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="js/bootstrap.min.js"></script>


	<script type="text/javascript">

		var total_elements = <?php echo MAX_NB_TWEETS; ?>;
		
		function anotar(id_tweet){
			$.ajax({
				method: "get",
				url: "anotar.php",
				data: "id_tweet="+id_tweet+"&id_user=<?php echo $id_user; ?>"
			});
		}

		$('#next-btn').on("click", function(){
			var checked_elements = document.getElementsByClassName("quadro-importante-ok").length;
			var r = total_elements-checked_elements;
			if(r > 0)
				alert(r+' tweets não anotados.');
			else
				window.location = "index.php?c=anotacao&fase=<?php echo $fase; ?>&pag=<?php echo $next_pag; ?>";
		});

		$('#previous-btn').on("click", function(){
			// var checked_elements = document.getElementsByClassName("quadro-importante-ok").length;
			// r = total_elements-checked_elements;
			// if(r > 0)
			// 	alert(r+' tweets não anotados.');
			// else
			window.location = "index.php?c=anotacao&fase=<?php echo $fase; ?>&pag=<?php echo $prev_pag; ?>";
		});

		$('.botoes button').on("click", function(){
			var id = $(this).attr('tweet-id');
			var parent = $(this).parents('.jumbotron');
			parent.toggleClass('quadro-importante-ok');
			anotar(id);
		});

	</script>

  </body>
</html>