<?php

// objects
$ses = new SessionHelper();
$game = new GameModel();
$play = new PlayModel();

// global vars
$id_anotador = $ses->getSession('loginId');
$id_game = (isset($_GET['id_game'])) ? (int) $_GET['id_game'] : 1;
$pag = (isset($_GET['pag'])) ? (int) $_GET['pag'] : 1;


// get title and url from a game
$res_game = $game->listaUnico("id, title, url", 
							  "id=:id", 
							  array(':id'=>$id_game));
$game_title = utf8_encode($res_game['title']);
$game_url = utf8_encode($res_game['url']);


// define pagination according to nb of plays and current page
$pag = max(1, $pag);
$nb_plays = $play->contaDados();
$nb_pags = ceil($nb_plays / MAX_NB_PLAYS);
$prev_pag = max(1, $pag-1);
$next_pag = min($nb_pags, $pag+1);
$inicio = ($pag * MAX_NB_PLAYS) - MAX_NB_PLAYS;


// list plays along with their annotation
$offset = null;
$orderby = "plays.id";
$limit = "$inicio,".MAX_NB_PLAYS;
$res = $play->listaAnnPlays($id_anotador, $id_game, $orderby, $offset, $limit);



?>


 <body>
	<div class="container">

	  <div class="col-xs-12 col-sm-9">


	  		<h2 class="pull-left titulo-jogo"><strong><?php echo $game_title; ?></strong></h2>
	  		<a class="pull-right" target="_blank" href="<?php echo $game_url; ?>">
						<h6><span class="glyphicon glyphicon-link" aria-hidden="true"></span> Ver no GE</h6>
					</a>

			<div class="clearfix"></div>
			<div class="linha"></div>




			<?php
			foreach ($res as $key => $pl) {
				$play_id = $pl['play_id'];
				$play_min = $pl['play_min'];
				$play_half = $pl['play_half'];
				$play_text = nl2br(utf8_encode($pl['play_text'])); // convert to utf8 and convert \n to <br>
				$check_id = $pl['check_id'];
				$check_important = $pl['check_important'];

				$jumbotron_lance_class = "jumbotron-lance";
				$jumbotron_lance_ok_class = "tempo-importante-ok";
				$lance_div_class = "lance-div";
				$lance_div_ok_class = "quadro-importante-ok";
				if($check_important == 1){
					$jumbotron_lance_class = $jumbotron_lance_class . " " . $jumbotron_lance_ok_class;
					$lance_div_class = $lance_div_class . " " . $lance_div_ok_class;
				}

			?>
			<div class="jumbotron <?php echo $jumbotron_lance_class; ?>">
				<div class="pull-left tempo-div">
					<h2 class="tempo"><?php echo $play_min; ?></h2>
					<h2 class="tempo tempo-sub"><?php echo $play_half; ?>º TEMPO</h2>
				</div>
				<div class="pull-left <?php echo $lance_div_class; ?>">
					<p>
						<?php echo $play_text; ?>
					</p>
					<div class="botoes">
						<button type="button" class="btn btn-success" 
						check-id="<?php echo $check_id; ?>" 
						check-important="<?php echo $check_important; ?>"
						play-id="<?php echo $play_id; ?>">
							<span class="glyphicon glyphicon-star"></span> É importante
						</button>
					</div>
				</div>
				<div class="clearfix"></div>
			</div>
			<?php
			}

			if(count($res) == 0)
				echo "Nenhuma jogada a ser anotada nesse jogo.";
			?>


			<nav aria-label="..." id="pagination">
			  <ul class="pager">
				<?php if($prev_pag < $pag){ ?>
				<li id="previous-btn" class="previous">
					<a> <span aria-hidden="true">&larr;</span> Voltar </a>
				</li>
				<?php 
				}
				?>
				<li>Pág. <?php echo "$pag de $nb_pags"; ?></li>
				<?php if($next_pag > $pag){ ?>
				<li id="next-btn" class="next">
					<a> Continuar <span aria-hidden="true">&rarr;</span> </a>
				</li>
				<?php
				}
				?>
			  </ul>
			</nav>

		</div><!--/.col-xs-12.col-sm-9-->

	   
		<div class="col-xs-6 col-sm-3" id="sidebar">
		  <div class="list-group">
			<div>
			<b>Dicas:</b>
			<br />
			<ol>
				<li>Lorem ipsum dolor sit amet</li>
				<li>Ut enim ad minim veniam</li>
				<li>Excepteur sint occaecat cupidatat non proident</li>
				<li>Duis aute irure dolor in reprehenderit in voluptate velit</li>
			</ol>
			<a href="index.php?c=manual" target="_blank">Ver manual</a>
			</div>
		  </div>
		</div>

	</div> <!-- /container -->


	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<!-- Include all compiled plugins (below), or include individual files as needed -->
	<script src="js/bootstrap.min.js"></script>


	<script type="text/javascript">

		function anotar(id_check, id_play, important_check, id_anotador){
			var dataurl = "id_play="+id_play+"&id_check="+id_check+"&important_check="+important_check+"&id_anotador="+id_anotador;
			$.ajax({
				method: "get",
				url: "anotar.php",
				data: dataurl
			});
			// alert(dataurl);
		}

		function toggleImportantCheck(important_check){
			if (important_check == '1') 
				return '0';
			else
				return '1';
		}

		$('#next-btn').on("click", function(){
			var checked_elements = document.getElementsByClassName("quadro-importante-ok").length;
			var total_elements = document.getElementsByClassName("jumbotron-lance").length;
			var r = total_elements-checked_elements;
			if(r > 0)
				alert(r+' jogadas não anotadas.');
			else
				window.location = "index.php?c=anotacao_fut&id_game=<?php echo $id_game; ?>&pag=<?php echo $next_pag; ?>";
		});

		$('#previous-btn').on("click", function(){
			window.location = "index.php?c=anotacao_fut&id_game=<?php echo $id_game; ?>&pag=<?php echo $prev_pag; ?>";
		});

		$('.botoes button').on("click", function(){
			$(this).parents('.jumbotron-lance').toggleClass('tempo-importante-ok');
			$(this).parents('.lance-div').toggleClass('quadro-importante-ok');
			var id_check = $(this).attr('check-id');
			var id_play = $(this).attr('play-id');
			var important_check = toggleImportantCheck($(this).attr('check-important'));
			var id_anotador = <?php echo $id_anotador; ?>;
			$(this).attr('check-important', important_check);
			anotar(id_check, id_play, important_check, id_anotador);

		});

	</script>
	

  </body>
</html>