<?php

date_default_timezone_set('America/Sao_Paulo');
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
debug_backtrace();

define('HELPERS', 'helpers/');
define('MODELS', 'models/');

function __autoload($file){
  if(file_exists(MODELS . lcfirst($file) . '.php'))
    require_once(MODELS . lcfirst($file) . '.php');
  else if(file_exists(MODELS . ucfirst($file) . '.php'))
    require_once(MODELS . ucfirst($file) . '.php');
  else if(file_exists(HELPERS . lcfirst($file) . '.php'))
    require_once(HELPERS . lcfirst($file) . '.php');
  else if(file_exists(HELPERS . ucfirst($file) . '.php'))
    require_once(HELPERS . ucfirst($file) . '.php');
  else
    die("Model, Helper, Controller ou View nao encontrado!". $file);
}

//  id_play, important_check, id_anotador
$checkModel = new checkModel();
$id_check = (int) $_GET['id_check'];
$important_check = (int) $_GET['important_check'];
$id_play = (int) $_GET['id_play'];
$id_anotador = (int) $_GET['id_anotador'];

$sql = $checkModel->listaUnico("id", "id=:id", 
                array(":id"=>$id_check));
if($sql){
  // atualiza (inverte o important_check) pq ja ta la
  $campos = "important=:important";
  $where = "id=:id";
  $data = array(":id"=>$id_check, ":important"=>$important_check);
  $checkModel->editaDados($campos, $where, $data);
}
else{
  // add novos
  $campos = "id_anotador, id_play, important";
  $bind_campos = ":id_anotador, :id_play, :important";
  $data = array(":id_anotador"=>$id_anotador, ":id_play"=>$id_play, ":important"=>$important_check);
  $checkModel->insereDados($campos, $bind_campos, $data);
}