<?php


class playModel extends basicModel{
	public $_tabela = "plays";

	public function listaAnnPlays($id_anotador, $id_game, $orderby=null, $offset=null, $limit=null){
		$limit = ($limit != null) ? "LIMIT ".$limit : "";
		$offset = ($offset != null) ? "OFFSET ".$offset : "";
		$orderby = ($orderby != null) ? "ORDER BY ".$orderby : "";
		$this->query("SELECT plays.id as play_id, 
							 plays.min as play_min, 
							 plays.half as play_half, 
							 plays.text as play_text, 
							 plays.id_game as play_id_game,
							 checks.id as check_id,
							 checks.important as check_important
						FROM $this->_tabela 
						LEFT JOIN checks ON plays.id = checks.id_play AND checks.id_anotador=:id_anotador
					 	WHERE plays.id_game=:id_game 
					 	$orderby $limit $offset");
		$this->bindArray(array(":id_anotador"=>$id_anotador, ":id_game"=>$id_game));
		return $this->resultset();

	}

	public function listaCountsPlays($id_anotador, $id_game){
		$this->query("SELECT 
							COUNT(plays.id) as cnt_id,
							COUNT(DISTINCT(checks.id_play)) as cnt_checks
						FROM $this->_tabela 
						LEFT JOIN checks ON plays.id = checks.id_play AND checks.id_anotador=:id_anotador
						WHERE plays.id_game=:id_game");
		$this->bindArray(array(":id_anotador"=>$id_anotador, ":id_game"=>$id_game));
		return $this->single();
	}
}